Skip to main content
GET
List payment resources

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication.

Headers

Content-Type
string

The media type. Required for operations with a request body. The value is application/<format>, where format is json.

Required string length: 1 - 255
Pattern: ^[A-Za-z0-9/+-]+$
PayPal-Auth-Assertion
string

An API-caller-provided JSON Web Token (JWT) assertion that identifies the merchant. For details, see PayPal-Auth-Assertion.

Query Parameters

page_size
integer
default:10

A non-negative, non-zero integer indicating the maximum number of results to return at one time. This parameter must only be provided on initial request and not combined with page_token.

Required range: 1 <= x <= 100
page_token
string

An opaque value representing the page to navigate to.

Required string length: 1 - 255
Pattern: [a-zA-Z0-9_-]
total_required
boolean
default:false

A boolean indicating total number of items and pages are expected to be returned in the response.

Response

A successful request returns the HTTP 200 OK status code with a JSON response body that shows payment resource details.

List of payment resources.

resources
Payment Resource Response · object[]

List of resources.

Required array length: 1 - 100 elements
total_items
integer
read-only

Total number of payment resources.

Required range: 0 <= x <= 65535
total_pages
integer
read-only

Total number of pages.

Required range: 1 <= x <= 65535

An array of request-related HATEOAS links.

Required array length: 1 - 32 elements